Bug 457545 - Review Request: perl-Net-Ping-External - Cross-platform interface to ICMP "ping" utilities
Review Request: perl-Net-Ping-External - Cross-platform interface to ICMP "pi...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
Blocks: 457888
  Show dependency treegraph
Reported: 2008-08-01 09:05 EDT by Miloslav Trmač
Modified: 2011-05-25 16:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-06 18:52:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2008-08-01 09:05:03 EDT
Spec URL: http://people.redhat.com/mitr/packaging/perl-Net-Ping-External.spec
SRPM URL: http://people.redhat.com/mitr/packaging/perl-Net-Ping-External-0.12-1.fc9.src.rpm
Net::Ping::External is a module which interfaces with the "ping" command on
many systems. It presently provides a single function, ping(), that takes
in a hostname and (optionally) a timeout and returns true if the host is
alive, and false otherwise. Unless you have the ability (and willingness)
to run your scripts as the superuser on your system, this module will
probably provide more accurate results than Net::Ping will.
Comment 1 Parag AN(पराग) 2008-08-04 00:40:56 EDT
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=756359
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
29c6cd74081861f4bffe1f83943f5792  Net-Ping-External-0.12.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package perl-Net-Ping-External-0.12-1.fc10 =>
 Provides: perl(Net::Ping::External) = 0.12
 Requires: perl(Carp) perl(Exporter) perl(Socket) perl(strict) perl(vars)

Comment 2 Miloslav Trmač 2008-08-05 04:01:40 EDT
New Package CVS Request
Package Name: perl-Net-Ping-External
Short Description: Cross-platform interface to ICMP "ping" utilities
Owners: mitr
Branches: F-9
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-08-05 12:22:12 EDT
cvs done.
Comment 4 Miloslav Trmač 2008-08-06 10:50:17 EDT
CVS admins: Can you help, please?

$ cvs -d :ext:mitr@cvs.fedora.redhat.com:/cvs/pkgs co perl-Net-Ping-External
cvs server: cannot find module `perl-Net-Ping-External' - ignored
cvs [checkout aborted]: cannot expand modules

(Checking out perl-Net-RawIP, which was added roughly at the same time, works fine.)
Comment 5 Kevin Fenzi 2008-08-06 13:41:16 EDT
Sorry about that. 

Can you try again in about 20min or so? 
I think it's fixed.
Comment 6 Miloslav Trmač 2008-08-06 18:52:50 EDT
Thanks for the review!
Comment 7 Otávio Cipriani 2011-05-25 15:56:56 EDT
Package Change Request
Package Name: perl-Net-Ping-External
New Branches: el5 el6
Owners: mitr

Please add this package to the EPEL repository. It is needed by GestioIP (http://www.gestioip.net/).
Comment 8 Miloslav Trmač 2011-05-25 16:04:19 EDT
I'm sorry, I'm won't be able to maintain this in EPEL.  You are welcome to do so, if you want.

Note You need to log in before you can comment on or make changes to this bug.